Bug 227080 - Review Request: maven-doxia-1.0-0.a7.3jpp - Doxia is a content generation framework
Review Request: maven-doxia-1.0-0.a7.3jpp - Doxia is a content generation fra...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 12:44 EST by Rafael H. Schloming
Modified: 2014-12-01 18:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 20:02:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dbhole: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2007-02-02 12:44:37 EST
Spec URL: http://people.redhat.com/rafaels/specs/maven-doxia-1.0-0.a7.3jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/maven-doxia-1.0-0.a7.3jpp.src.rpm
Description: Doxia is a content generation framework which aims to provide its
users with powerful techniques for generating static and dynamic
content. Doxia can be used to generate static sites in addition to
being incorporated into dynamic content generation systems like blogs,
wikis and content management systems.

Javadoc for maven-doxia.
Comment 1 Tania Bento 2007-02-27 16:29:46 EST
Here are the links to an updated spec file and source rpm:

SPEC FILE:
https://tbento.108.redhat.com/files/documents/177/261/maven-doxia.spec

SOURCE RPM:
https://tbento.108.redhat.com/files/documents/177/262/maven-doxia-1.0-0.1.a7.3jpp.1.src.rpm
Comment 2 Deepak Bhole 2007-03-06 20:49:50 EST
MUST:
* package is named appropriately
 - match upstream tarball or project name
 OK

 - try to match previous incarnations in other distributions/packagers for
consistency
 OK

 - specfile should be %{name}.spec
 OK

 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 OK

 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 OK

 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
 OK

* is it legal for Fedora to distribute this?
 - OSI-approved
 OK

 - not a kernel module
 OK

 - not shareware
 OK

 - is it covered by patents?
 OK

 - it *probably* shouldn't be an emulator
 OK

 - no binary firmware
 OK

* license field matches the actual license.
 OK

* license is open source-compatible.
 - use acronyms for licences where common
 OK

* specfile name matches %{name}
 OK

X * verify source and patches (md5sum matches upstream, know what the patches do)
  - if upstream doesn't release source drops, put *clear* instructions on
    how to generate the the source drop; ie. 
   # svn export blah/tag blah
   # tar cjf blah-version-src.tar.bz2 blah

  Tar command is incorrect. Should be: tar czf maven-doxia-1.0a7.tar.gz maven-doxia/

* skim the summary and description for typos, etc.
 OK

* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 OK

* if %{?dist} is used, it should be in that form (note the ? and %
locations)
 OK

* license text included in package and marked with %doc
 OK

* keep old changelog entries; use judgement when removing (too old?
useless?)
 OK

* packages meets FHS (http://www.pathname.com/fhs/)
 OK

X * rpmlint on <this package>.srpm gives no output
  - justify warnings if you think they shouldn't be there
  W: maven-doxia non-standard-group Development/Java
  W: maven-doxia no-documentation
  W: maven-doxia non-standard-group Development/Java
  W: maven-doxia mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 47)

  First 3 are OK. Last needs to be fixed.

* changelog should be in one of these formats:
 OK

* Packager tag should not be used
 OK

* Vendor tag should not be used
 OK

* Distribution tag should not be used
 OK

* use License and not Copyright 
 OK

* Summary tag should not end in a period
 OK (see below for change to summary content)

* if possible, replace PreReq with Requires(pre) and/or Requires(post)
 OK

* specfile is legible
 - this is largely subjective; use your judgement
 OK

* package successfully compiles and builds on at least x86
 OK (on jpp stack)

* BuildRequires are proper
 - builds in mock will flush out problems here
 OK

X * summary should be a short and concise description of the package
  Summary should be: 'Content generation framework'

* description expands upon summary (don't include installation
instructions)
 OK

* make sure lines are <= 80 characters

* specfile written in American English

* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b

* packages including libraries should exclude static libraries if possible

* don't use rpath

X * config files should usually be marked with %config(noreplace)
  /etc/maven/fragments/maven-doxia is not a config file and should not be
  marked so.

* GUI apps should contain .desktop files
 OK

* should the package contain a -devel sub-package?
 OK

* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
 OK

* don't use %makeinstall
 OK

* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
 OK

* consider using cp -p to preserve timestamps
 OK

* split Requires(pre,post) into two separate lines
 OK

* package should probably not be relocatable
 OK

* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
 OK

X * package should own all directories and files
  Change:

%if %{with_maven}
%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/core-1.0-alpha-7.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/decoration-model-1.0-alpha-7.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/sink-api-1.0-alpha-7.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/site-renderer-1.0-alpha-7.jar.*
%endif

 to:

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/core-1.0-alpha-7.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/decoration-model-1.0-alpha-7.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/sink-api-1.0-alpha-7.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/site-renderer-1.0-alpha-7.jar.*
%endif
%if %{with_maven}

* there should be no %files duplicates
 OK

* file permissions should be okay; %defattrs should be present
 OK

* %clean should be present
 OK

* %doc files should not affect runtime
 OK

* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
 OK

* verify the final provides and requires of the binary RPMs
 OK

* run rpmlint on the binary RPMs
 OK

SHOULD:
* package should include license text in the package and mark it with %doc
 OK

* package should build on i386
 OK after fixing %files

* package should build in mock
 OK after fixing %files. Built on jpp stack due to missing plexus-velocity.

Additional notes:
1. Package for built on jpackage stack
2. '%define _with_gcj_support 0' should become '%define _with_gcj_support 1'
3. '%define gcj_support 0' should be removed
Comment 3 Tania Bento 2007-03-13 16:35:42 EDT
> X * verify source and patches (md5sum matches upstream, know what the patches do)
>   - if upstream doesn't release source drops, put *clear* instructions on
>     how to generate the the source drop; ie. 
>    # svn export blah/tag blah
>    # tar cjf blah-version-src.tar.bz2 blah
> 
>   Tar command is incorrect. Should be: tar czf maven-doxia-1.0a7.tar.gz
maven-doxia/

Changed it to:  tar czf maven-doxia-1.0.a7-src.tar.gz maven-doxia/
 
> X * rpmlint on <this package>.srpm gives no output
>   - justify warnings if you think they shouldn't be there
>   W: maven-doxia non-standard-group Development/Java
>   W: maven-doxia no-documentation
>   W: maven-doxia non-standard-group Development/Java
>   W: maven-doxia mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 47)
> 
>   First 3 are OK. Last needs to be fixed.

Fixed.

> X * summary should be a short and concise description of the package
>   Summary should be: 'Content generation framework'

Fixed.

 
> X * config files should usually be marked with %config(noreplace)
>   /etc/maven/fragments/maven-doxia is not a config file and should not be
>   marked so.

Fixed.
 
> X * package should own all directories and files
>   Change:
> 
> %if %{with_maven}
> [...]
> %if %{with_maven}

Fixed.

Here are the links to the updated spec file and source rpm:
SPEC FILE:
https://tbento.108.redhat.com/files/documents/177/261/maven-doxia.spec
SOURCE RPM:
https://tbento.108.redhat.com/files/documents/177/262/maven-doxia-1.0-0.1.a7.3jpp.1.src.rpm
Comment 4 Deepak Bhole 2007-03-13 17:18:21 EDT
APPROVED.
Comment 5 Deepak Bhole 2007-03-13 17:19:56 EDT
New Package CVS Request
=======================
Package Name: maven-doxia
Short Description: Content generation framework
Owners: dbhole@redhat.com
Branches: devel
Comment 6 Bernard Johnson 2007-04-11 18:49:35 EDT
Pardon the bugzilla spam.  This package appears to have been approved, imported,
and built.

If that is the case, please close this bug RESOLVE -> NEXTRELEASE as documented
in the package review process:
http://fedoraproject.org/wiki/PackageReviewProcess?#head-df921556b35438a4c78b4b6a790151ea568e8f9e

Note You need to log in before you can comment on or make changes to this bug.